Assignments Assignments

Public Types | Public Member Functions | Protected Attributes | List of all members
Image::Image32::const_iterator Struct Reference

`#include <image.h>`

## Public Types
using | iterator_category = std::forward_iterator_tag
using | reference = const Pixel32 &
using | pointer = const Pixel32 *
using | value_type = Pixel32
using | difference_type = std::ptrdiff_t

## Public Member Functions
| const_iterator (void)
| const_iterator (const Pixel32 *p)
bool | operator== (const const_iterator &it) const
bool | operator!= (const const_iterator &it) const
const_iterator | operator++ (int)
const_iterator & | operator++ (void)
const Pixel32 & | operator* (void)
const Pixel32 * | operator-> (void)

## Protected Attributes
friend | Image32
const Pixel32 * | _p

## Detailed Description

A struct for iterating through the pixels of a const image.

## Member Typedef Documentation

## ◆ difference_type

using Image::Image32::const_iterator::difference_type = std::ptrdiff_t

## ◆ iterator_category

using Image::Image32::const_iterator::iterator_category = std::forward_iterator_tag

## ◆ pointer

using Image::Image32::const_iterator::pointer = const Pixel32 *

## ◆ reference

using Image::Image32::const_iterator::reference = const Pixel32 &

## ◆ value_type

using Image::Image32::const_iterator::value_type = Pixel32

## Constructor & Destructor Documentation

## ◆ const_iterator() [1/2]

Image::Image32::const_iterator::const_iterator | ( | void |  | ) |
| inline

## ◆ const_iterator() [2/2]

Image::Image32::const_iterator::const_iterator | ( | const Pixel32 * | p | ) |
| inline

## Member Function Documentation

## ◆ operator!=()

bool Image::Image32::const_iterator::operator!= | ( | const const_iterator & | it | ) | const
| inline

## ◆ operator*()

const Pixel32 & Image::Image32::const_iterator::operator* | ( | void |  | ) |
| inline

## ◆ operator++() [1/2]

const_iterator Image::Image32::const_iterator::operator++ | ( | int |  | ) |
| inline

## ◆ operator++() [2/2]

const_iterator & Image::Image32::const_iterator::operator++ | ( | void |  | ) |
| inline

## ◆ operator->()

const Pixel32 * Image::Image32::const_iterator::operator-> | ( | void |  | ) |
| inline

## ◆ operator==()

bool Image::Image32::const_iterator::operator== | ( | const const_iterator & | it | ) | const
| inline

## Member Data Documentation

## ◆ _p

const Pixel32* Image::Image32::const_iterator::_p
| protected

## ◆ Image32

friend Image::Image32::const_iterator::Image32
| protected

The documentation for this struct was generated from the following file:

- Assignments/Image/image.h